DNF5-NEEDS-RESTARTING(8)

NUME
dnf5-needs-restarting - comanda «needs-restarting»

SINOPSIS

dnf5 needs-restarting [-p | --processes [-e | --exclude-services]] [-s | --services] [-r | --reboothint] [--json]

DESCRIERE

Comanda needs-restarting determină dacă sistemul trebuie repornit pentru a aplica complet modificările rezultate din instalarea și actualizarea pachetelor. Fără nicio opțiune, dnf5 needs-restarting va raporta dacă au fost instalate sau actualizate pachete importante de la pornire. Acest set de pachete importante include nucleul, systemd, fiecare pachet enumerat aici: <https://access.redhat.com/solutions/27943>, și orice pachet marcat cu un aviz reboot_suggested.

Comanda needs-restarting va ieși cu codul 1 dacă se recomandă o repornire sau, atunci când este invocată cu --services, dacă orice serviciu systemd trebuie repornit. Dacă nu se recomandă nicio acțiune, comanda needs-restarting va ieși cu codul 0.

OPȚIUNI

    -p, --processes
        Listează procesele care trebuie repornite. Dacă pachetul care furnizează executabilul în curs de execuție sau oricare dintre dependențele sale a fost actualizat de la începerea procesului, atunci se recomandă repornirea procesului.

    -e, --exclude-services
        Se utilizează împreună cu opțiunea -p, --processes și va filtra toate procesele gestionate de serviciile systemd.

    -s, --services
        Listează serviciile systemd care trebuie repornite. Dacă pachetul care furnizează serviciul sau oricare dintre dependențele acestuia au fost actualizate de la pornirea serviciului, se va recomanda repornirea serviciului. Rețineți că această abordare este destul de agresivă pentru a recomanda o repornire atunci când s-ar putea să nu fie strict necesară.

    -r, --reboothint
        Nu are niciun efect, păstrată pentru compatibilitate cu DNF 4. «dnf4 needs-restarting -r» oferă aceeași funcționalitate ca «dnf5 needs-restarting».

    --json
        Solicită formatul de ieșire JSON pentru rezultate care pot fi citite de către mașină.

IEȘIRE JSON

    •   dnf5 needs-restarting --json

Comanda returnează un tabel JSON care conține un singur obiect cu informații privind sugestia de repornire. Obiectul conține următoarele câmpuri:

            •   type (șir) - Tipul de ieșire, întotdeauna „reboot”.

            •   reboot_required (boolean) - Dacă este necesară o repornire.

            •   packages (serie de șiruri de caractere) - Lista pachetelor care au fost actualizate de la pornirea sistemului.

            •   documentation (șir) - Legătură către documentația care explică necesitatea repornirii.

    •   dnf5 needs-restarting --services --json

Comanda returnează un tabel JSON de obiecte, fiecare dintre acestea descriind un serviciu systemd care trebuie repornit. Fiecare obiect conține următoarele câmpuri:

            •   type (șir) - Tipul de ieșire, întotdeauna „unit”.

            •   unit (șir) - Numele serviciului systemd.

    •   dnf5 needs-restarting --processes --json

Comanda returnează un tabel JSON de obiecte, fiecare dintre acestea descriind un proces care trebuie repornit. Fiecare obiect conține următoarele câmpuri:

            •   type (șir) - Tipul de ieșire, întotdeauna „process”.

            •   pid (număr întreg) - ID-ul procesului.

            •   cmdline (serie de șiruri de caractere) - Linia de comandă a procesului.

            •   package (șir) - Pachetul care conține fișierul executabil.

Opțiunea --json poate fi combinată cu opțiunea --exclude-services atunci când se utilizează --processes pentru a exclude procesele gestionate de serviciile systemd (de exemplu, dnf5 needs-restarting --processes --exclude-services --json).

În cazul în care nu se găsesc rezultate pentru servicii sau procese, comenzile returnează []. În cazul recomandărilor de repornire, chiar dacă nu se recomandă repornirea, comanda returnează un tabel JSON care conține un singur obiect cu reboot_required stabilit la false, o serie goală de packages și legătura documentation.

Autor
A se vedea AUTHORS.md în distribuția sursei dnf5.

Drepturi de autor
Contribuitori la proiectul dnf5.

TRADUCERE
Traducerea în limba română a acestui manual a fost făcută de Remus-Gabriel Chelu <remusgabriel.chelu@disroot.org>

Această traducere este documentație gratuită; citiți Licența publică generală GNU Versiunea 3 (https://www.gnu.org/licenses/gpl-3.0.html) sau o versiune ulterioară cu privire la condiții privind drepturile de autor. NU se asumă NICIO RESPONSABILITATE.

Dacă găsiți erori în traducerea acestui manual, vă rugăm să trimiteți un e-mail la translation-team-ro@lists.sourceforge.net.